From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/twitter-text/
Date: Tue, 17 Jul 2018 06:40:15 +0000 (UTC) [thread overview]
Message-ID: <1531809569.5fb9c0a3fdf29434b241c3605561d95237ecbe45.graaff@gentoo> (raw)
commit: 5fb9c0a3fdf29434b241c3605561d95237ecbe45
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 17 06:39:29 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul 17 06:39:29 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fb9c0a3
dev-ruby/twitter-text: add 2.1.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
| 1 +
| 33 +++++++++++++++++++++++++
2 files changed, 34 insertions(+)
--git a/dev-ruby/twitter-text/Manifest b/dev-ruby/twitter-text/Manifest
index c6e7031e29a..8595e9d0462 100644
--- a/dev-ruby/twitter-text/Manifest
+++ b/dev-ruby/twitter-text/Manifest
@@ -1 +1,2 @@
DIST twitter-text-1.14.7.gem 48128 BLAKE2B c80b9cb894438ca427ab3ba864362bd3b1b58a852c4720178fdbffef7d42b276a62d6c39d2163fa875101210a72cebbe2e4aad5c080631f07efb3657da2668b5 SHA512 98addbf8efe7b9f2685f00827194dbb255b31512e8aa5c9dab22ec08b95ccebbcf53790dfc983e71b0644c687b4db98c5d30f74f15b925377403b4d5cf6e5194
+DIST twitter-text-2.1.0.gem 54784 BLAKE2B e0ee791f63d43f8ff8d87f5b4cca337761efac24417702ba5cc0fb50db3b622ef86a2d4ca1ce753272668df825fd92ac561a2cc528ae6435976d830d1ac9a329 SHA512 ac23e05f13a008d733a9417d47e633838584b548a41741a28ca399e1548344b39081b0c6677b7be9df1feb6ffcc491718ddfb5cd55cffb63d7bb680f1431907c
--git a/dev-ruby/twitter-text/twitter-text-2.1.0.ebuild b/dev-ruby/twitter-text/twitter-text-2.1.0.ebuild
new file mode 100644
index 00000000000..c99fa83a680
--- /dev/null
+++ b/dev-ruby/twitter-text/twitter-text-2.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Text handling for Twitter"
+HOMEPAGE="https://github.com/twitter/twitter-text"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/idn-ruby
+ =dev-ruby/unf-0.1*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/multi_json-1.3
+ >=dev-ruby/nokogiri-1.8.0 )"
+
+all_ruby_prepare() {
+ sed -i -e 's/2.14.0/2.14/' twitter-text.gemspec || die
+ sed -i -e '/simplecov/,/end/ s:^:#:' spec/spec_helper.rb || die
+}
next reply other threads:[~2018-07-17 6:40 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-17 6:40 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-14 8:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/twitter-text/ Hans de Graaff
2023-08-26 9:41 Hans de Graaff
2023-07-15 6:00 Hans de Graaff
2022-04-18 6:55 Hans de Graaff
2021-07-06 10:26 Hans de Graaff
2020-09-05 8:01 Hans de Graaff
2020-04-01 6:40 Hans de Graaff
2019-05-24 8:22 Hans de Graaff
2019-02-11 5:18 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2017-12-25 6:50 Hans de Graaff
2017-07-05 4:28 Hans de Graaff
2017-06-18 6:48 Hans de Graaff
2017-02-07 5:26 Hans de Graaff
2016-12-30 7:15 Hans de Graaff
2016-12-09 6:10 Hans de Graaff
2016-11-04 6:09 Hans de Graaff
2016-11-04 6:09 Hans de Graaff
2016-07-11 5:04 Hans de Graaff
2016-03-03 23:11 Manuel Rüger
2016-03-03 23:11 Manuel Rüger
2016-02-07 7:22 Hans de Graaff
2016-02-07 7:22 Hans de Graaff
2015-09-01 0:24 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1531809569.5fb9c0a3fdf29434b241c3605561d95237ecbe45.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox